Forum Rule: Always post complete source code & details to reproduce any issue!
Page 3 of 3 FirstFirst 1 2 3
Results 51 to 57 of 57

Thread: Teensyduino 1.30 Beta #4 Available

  1. #51
    Senior Member+ Frank B's Avatar
    Join Date
    Apr 2014
    Location
    Germany NRW
    Posts
    4,514
    Forget all what was written here..
    Last edited by Frank B; 11-14-2016 at 09:03 PM.

  2. #52
    Senior Member+ Frank B's Avatar
    Join Date
    Apr 2014
    Location
    Germany NRW
    Posts
    4,514
    Forget all what was written here..
    Last edited by Frank B; 11-14-2016 at 09:03 PM.

  3. #53
    Senior Member duff's Avatar
    Join Date
    Jan 2013
    Location
    Las Vegas
    Posts
    909
    Quote Originally Posted by Frank B View Post
    Does USB-Audio (output) not work, or is somethingwrong with my installation ?
    Not even the WaveFilePlayerUSB Example works ? (T 3.6 )

    Or is it just the full moon here.. or too much Bacardi ?

    Edit: TD 1.31 (not beta)
    I can use Serial-Midi-Audio with my Mac 10.9.5, Teensyduino 1.31, did the USB Audio interface change between then? One thing I've noticed is that I have to use the button to get it reprogram. It doesn't recognize upload request.

  4. #54
    Senior Member+ Frank B's Avatar
    Join Date
    Apr 2014
    Location
    Germany NRW
    Posts
    4,514
    Does not work at all with my machine (win10)

    Not related to USB-Audio : Unfortuantely it is too late now and i must stop, but there is a tricky bug in SPI.h or SD.h.. i hope i can find it tomorrow-evening:

    The line "NVIC_ICER2 = interruptSave[2];" in SPI.H causes Audio-problems. Perhaps with playing wav only( reading SD).
    Last edited by Frank B; 11-14-2016 at 10:26 PM.

  5. #55
    Senior Member PaulStoffregen's Avatar
    Join Date
    Nov 2012
    Posts
    18,332
    Quote Originally Posted by mongrol View Post
    Looks like the missing libpng12 bug has hit Ubuntu Yakkety Yak as well. I'm assuming it's so old now that Distro's have dropped it and developers shouldn't be building against it. Are we likely to get a newer libpng1.6 teensy loader?
    For the 1.31, I bundled a copy of libpng12. I tested on Ubuntu 16.10. My hope is it'll fix things on other distros, but I only test Ubuntu (x86) and Raspbian (arm).

    The libpng situation is really tough. It's poorly planned approach to long-term binary compatibility for Linux desktop software. No matter which libpng you link for your program's own PNG image manipulation, the many GTK libraries depend on the system's libpng library. It's impossible (as nearly as I can tell) to create a program which links to the GTK system libraries for compatibility with the user's system, but doesn't depend on a specific version of libpng that was present on the build system.

    Even when I link a static libpng12.a, the system's dynamic libpng also gets linked because of GTK's dependencies. The modern Linux linking process discovers and dynamically links *lots* of related libraries which aren't part of the actual linker command to build the program.

    The best solution I've been able to find is linking with rpath and supplying a copy of libpng12.so.0.

  6. #56
    Senior Member+ defragster's Avatar
    Join Date
    Feb 2015
    Posts
    6,839
    Quote Originally Posted by Oliver91 View Post
    I think an error in the Ethernet library
    You need to provide details on what led you to that for anything to happen to fix them . . .

  7. #57
    Senior Member PaulStoffregen's Avatar
    Join Date
    Nov 2012
    Posts
    18,332
    I just recently worked quite a lot with the Ethernet library, to add support for the newer W5500 chip. The library does work very well with W5100 and W5200, and the new version (only on github today) supports W5500.

    If there is some sort of problem, please see the "Forum Rule" which appears at the top of every page.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •